Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Implicits extends AnyRef

  This trait provides methods to find various kinds of implicits.

  This trait provides methods to find various kinds of implicits.

  Definition Classes
    typechecker
  Version

    1.0

- Function1
- HasMember
- HasMethodMatching
- ImplicitAmbiguousMsg
- ImplicitAnnotationMsg
- ImplicitInfo
- ImplicitNotFoundMsg
- ImplicitSearch
- Message
- OpenImplicit
- SearchResult

c

scala.tools.nsc.typechecker.Implicits

# SearchResult 

###

#### class SearchResult extends AnyRef

The result of an implicit search

Source
  Implicits.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SearchResult
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SearchResult(tree: Global.Tree, subst: Global.TreeTypeSubstituter, undetparams: List[Global.Symbol])

   tree

     The tree representing the implicit

   subst

     A substituter that represents the undetermined type parameters that were instantiated by the winning implicit.

   undetparams

     undetermined type parameters

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Analyzer.SearchResult to any2stringadd[Analyzer.SearchResult] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Analyzer.SearchResult, B)
   Implicit
     This member is added by an implicit conversion from Analyzer.SearchResult to ArrowAssoc[Analyzer.SearchResult] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Analyzer.SearchResult) ⇒ Boolean, msg: ⇒ Any): Analyzer.SearchResult
   Implicit
     This member is added by an implicit conversion from Analyzer.SearchResult to Ensuring[Analyzer.SearchResult] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Analyzer.SearchResult) ⇒ Boolean): Analyzer.SearchResult
   Implicit
     This member is added by an implicit conversion from Analyzer.SearchResult to Ensuring[Analyzer.SearchResult] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Analyzer.SearchResult
    Implicit
      This member is added by an implicit conversion from Analyzer.SearchResult to Ensuring[Analyzer.SearchResult] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Analyzer.SearchResult
    Implicit
      This member is added by an implicit conversion from Analyzer.SearchResult to Ensuring[Analyzer.SearchResult] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Analyzer.SearchResult to StringFormat[Analyzer.SearchResult] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  def isAmbiguousFailure: Boolean
19.  def isDivergent: Boolean
20.  def isFailure: Boolean
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def isSuccess: Boolean
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
26.  val subst: Global.TreeTypeSubstituter
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      SearchResult → AnyRef → Any
29.  val tree: Global.Tree
30.  val undetparams: List[Global.Symbol]
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  def →[B](y: B): (Analyzer.SearchResult, B)
    Implicit
      This member is added by an implicit conversion from Analyzer.SearchResult to ArrowAssoc[Analyzer.SearchResult] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Analyzer.SearchResult to any2stringadd[Analyzer.SearchResult]

### Inherited by implicit conversion StringFormat from Analyzer.SearchResult to StringFormat[Analyzer.SearchResult]

### Inherited by implicit conversion Ensuring from Analyzer.SearchResult to Ensuring[Analyzer.SearchResult]

### Inherited by implicit conversion ArrowAssoc from Analyzer.SearchResult to ArrowAssoc[Analyzer.SearchResult]

### Ungrouped